Name:           dans-gdal-scripts
Version:        0.21
Release:        0.2.20130522git%{?dist}
Summary:        Utilities for use in conjunction with GDAL

Group:          Applications/Engineering
License:        BSD
URL:            https://github.com/gina-alaska/dans-gdal-scripts

# git clone git://github.com/gina-alaska/dans-gdal-scripts.git
# git archive --format=tar.gz --prefix=gdal-scripts-0.21 a871c200042077491b3baef72b2c496592ad4358 > ../dans-gdal-scripts-0.21.tar.gz
Source0:        %{name}-%{version}.tar.gz

# Don't make warnings errors
Patch0:         %{name}-0.21-werror.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel
BuildRequires:  gdal-devel
BuildRequires:  proj-devel

# Tests are using
BuildRequires:  netpbm-progs

%description
Dan Stahlke's GDAL contributed tools are a collection of
useful programs to perform common raster operations.


%prep
%setup -q 
%patch0 -p1 -b .~werror
./autogen.sh
%configure


%build
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%check
pushd src/tests
./test1.sh
./test2.sh
./test3.sh
# TIFFReadDirectory warnings are harmless, according to the author


%files
%doc LICENSE README.md ChangeLog TODO
%{_bindir}/gdal_*


%changelog
* Tue Jun  8 2013 Volker Fröhlich <volker27@gmx.at> - 0.21-0.2.20130522git
- Make the werror patch apply

* Tue May 22 2013 Volker Fröhlich <volker27@gmx.at> - 0.21-0.1.20130522git
- Initial package for Fedora
